#!/bin/ksh
#
#  Installs solve
#     JB 3-May-2000, TT 30-July-2000
#
#  Edit these environmental variables to reflect your taste in installation
#  The directory paths must start with a slash "/" or this won't work
#
export SOLVEBINDIR=/usr/local/bin             # binaries go here
export SOLVELIBDIR=/usr/local/lib/solve       # libs go here
browser=netscape                                # path to your preferred browser
#
#  Usually you shouldn't edit below here
#
echo " "
echo " Installing solve "
echo " "
#
# test to make sure directory exists!
#
 if  ! test -r ${SOLVEBINDIR}  ; \
    then mkdir ${SOLVEBINDIR} ; \
 fi
# Now test to make sure directory was created!
#
 if  ! test -r ${SOLVEBINDIR}  ; \
    then echo " "; \
    echo "Sorry, could not create the directory " ${SOLVEBINDIR} ; \
    echo "Please create it, then try again!" ; \
    echo " "; \
    exit; \
 fi
#
echo "Installing solve binaries in ${SOLVEBINDIR}."
cd bin
tar cf - . | (cd ${SOLVEBINDIR} ; tar -xof - )
cd ..

echo "Installing solve library files in ${SOLVELIBDIR}."
#
# test to make sure directory exists!
#
 if  ! test -r ${SOLVELIBDIR}  ; \
    then mkdir ${SOLVELIBDIR} ; \
 fi
#
# Now test to make sure directory was created!
#
 if  ! test -r ${SOLVELIBDIR}  ; \
    then echo " " ; \
    echo "Sorry, could not create the directory " ${SOLVELIBDIR} ; \
    echo "Please create it, then try again !" ; \
    echo " " ; \
    exit ; \
 fi
#
cd lib
tar cf - . | (cd ${SOLVELIBDIR} ; tar -xof -)
cd ..

echo "Creating solvehelp script in ${SOLVEBINDIR}"
cat > ${SOLVEBINDIR}/solvehelp <<EOD
#!/bin/ksh
$browser ${SOLVELIBDIR}/html/manual/table-of-contents.html &
EOD
chmod 755 ${SOLVEBINDIR}/solvehelp

echo " "
echo "All done.  You can now run solve or solve_giant or solve_huge"
echo "The giant and even bigger huge versions are for big unit cells"
echo " "
echo "For samples of how to run solve, "
echo "see the directory ${SOLVELIBDIR}/examples "
echo " "
echo "For help on running solve, type \"solvehelp\" "
echo " (this may not be active until you log in again) "
echo " "
echo " "
echo "Please sure users have these environmental variables set:"
echo "in bash or ksh specify:"
echo "export CCP4_OPEN=UNKNOWN"
echo "export SOLVEDIR=${SOLVELIBDIR}"
echo " "
echo "in csh specify:"
echo "setenv CCP4_OPEN UNKNOWN"
echo "setenv SOLVEDIR ${SOLVELIBDIR}"
echo " "
echo "End of solve installation."

